--@description MaxMusicMax; Midi Editor; Item; Mute all items in track
--@version 0
--@author MaxMusicMax

function print_rs (param)
	reaper.ShowConsoleMsg (tostring (param) .. "\n")
end
-- #######################################
-- #######################################
reaper.PreventUIRefresh(1);
-- #######################################
-- #######################################
local ME = reaper.MIDIEditor_GetActive()
local take = reaper.MIDIEditor_GetTake(ME)
local take_track = reaper.GetMediaItemTake_Track(take)
local is_solo = reaper.GetMediaTrackInfo_Value(take_track, 'I_SOLO')

-- Состояние первого айтема
local  state_item = reaper.GetMediaItemInfo_Value ( reaper.GetTrackMediaItem ( take_track, 0 ), 'B_MUTE' )

if  state_item == 0 then
	-- Состояние unmute
	for i=1, reaper.CountTrackMediaItems(take_track)  do
		local item = reaper.GetTrackMediaItem ( take_track, i-1 )
		reaper.SetMediaItemInfo_Value( item, 'B_MUTE', 1 )
	end
else
	-- Состояние mute
	for i=1, reaper.CountTrackMediaItems(take_track)  do
		local item = reaper.GetTrackMediaItem ( take_track, i-1 )
		reaper.SetMediaItemInfo_Value( item, 'B_MUTE', 0 )
	end
end
-- #######################################
-- #######################################
reaper.PreventUIRefresh(-1);
reaper.TrackList_AdjustWindows(0);  -- Updates the window view
reaper.UpdateArrange();  -- Updates the window view